%define shortname natbib
%define name tetex-%{shortname}
%define version 8.31a
%define release 1.sl6.1

#%define texmfdir %{_datadir}/texmf
%define texmfdir /usr/local/share/texmf
%define texdir %{texmfdir}/tex
%define latexdir %{texdir}/latex
%define bibtexdir %{texmfdir}/bibtex/bst/%{shortname}
%define doctexdir %{texmfdir}/doc/latex/%{shortname}
%define packagedir %{latexdir}/%{shortname}

Summary: NATBIB LaTeX Macros
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://mirror.ctan.org/macros/latex/contrib/%{shortname}.zip
License: LPPL (http://www.latex-project.org/lppl.txt)
Group: Publishing
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
BuildRequires: tetex-latex tetex-dvips
Requires: tetex >= 2.0.2

%description
NATBIB is a LaTeX (2e, with some support for 2.09) package to act as generalized
interface for standard and non-standard bibliographic style files (BibTeX).

It is intended primarily to produce author-year style citations from a variety
of non-standard .bst outputs.

%prep
%setup -n %{shortname}

%build
for i in *.ins; do
	latex $i
done
for i in *.dtx; do
	pdflatex $i
	pdflatex $i
done 
pdflatex natnotes.tex
pdflatex natnotes.tex
rm -f *.aux *.log

%install
rm -rf "$RPM_BUILD_ROOT"
install --mode=0755 -d "$RPM_BUILD_ROOT%{packagedir}" "$RPM_BUILD_ROOT%{bibtexdir}" "$RPM_BUILD_ROOT%{doctexdir}"

install -m 644 *.sty "$RPM_BUILD_ROOT%{packagedir}"

install -m 644 *.bst "$RPM_BUILD_ROOT%{bibtexdir}"

install -m 644 *.pdf README* natnotes.tex "$RPM_BUILD_ROOT%{doctexdir}"

chmod -R ugo+rX "$RPM_BUILD_ROOT%{texmfdir}"

%post
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir %{texdir}
%dir %{latexdir}
%dir %{packagedir}
%{packagedir}/*
%dir %{doctexdir}
%doc %{doctexdir}/*
%dir %{texmfdir}/bibtex
%dir %{texmfdir}/bibtex/bst
%dir %{bibtexdir}
%{bibtexdir}/*

%changelog
* Mon Dec 3 2012 Pat Riehecky <riehecky@fnal.gov>
- pulled from PUIAS, thanks!

* Thu Mar 18 2010 Josko Plazonic <plazonic@math.princeton.edu>
- initial build
